#ifndef TRANSFORMNODE_H
#define TRANSFORMNODE_H

#include "node.h"
#include <GL/gl.h>

class TransformNode : public Node{

public:
    TransformNode(std::string name = "Transform");
    virtual ~TransformNode();
    static void printMatrix(GLdouble* mat);
    void applyInverse();
    GLdouble* get();
protected:
    GLdouble *matrix;
    void applySelf();


private:



};

#endif // TRANSFORMNODE_H
